Debian Bug report logs - #700290
pbuilder: clang support

version graph

Package: pbuilder; Maintainer for pbuilder is Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>; Source for pbuilder is src:pbuilder.

Reported by: Hideki Yamane <henrich@debian.or.jp>

Date: Mon, 11 Feb 2013 08:03:02 UTC

Severity: wishlist

Tags: patch

Fixed in version pbuilder/0.215

Done: Junichi Uekawa <dancer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sylvestre@debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Mon, 11 Feb 2013 08:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
New Bug report received and forwarded. Copy sent to sylvestre@debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Mon, 11 Feb 2013 08:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: submit@bugs.debian.org
Subject: pbuilder: clang support
Date: Mon, 11 Feb 2013 17:01:29 +0900
[Message part 1 (text/plain, inline)]
Package: pbuilder
Severity: wishlist
Tags: patch
X-Debbugs-CC: sylvestre@debian.org

Hi,

 I've made a tiny patch for clang support in pbuilder, it runs with
 "--with-clang" option. It would make build check in clang easier,
 and encourage maintainers to do that.

 Could you check and apply it, please?


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane
[clang_support.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Mon, 11 Feb 2013 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Mon, 11 Feb 2013 08:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 700290@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>, 700290@bugs.debian.org
Cc: Paul Tagliamonte <tag@pault.ag>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Mon, 11 Feb 2013 09:06:28 +0100
On 11/02/2013 09:01, Hideki Yamane wrote:
> Package: pbuilder
> Severity: wishlist
> Tags: patch
> X-Debbugs-CC: sylvestre@debian.org
> 
> Hi,
> 
>  I've made a tiny patch for clang support in pbuilder, it runs with
>  "--with-clang" option. It would make build check in clang easier,
>  and encourage maintainers to do that.
> 
>  Could you check and apply it, please?
> 
> 
That is an excellent initiative. Many thanks for proposing and
implementing it! :)

Sylvestre




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Tue, 19 Feb 2013 06:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Tue, 19 Feb 2013 06:12:06 GMT) Full text and rfc822 format available.

Message #15 received at 700290@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>, 700290@bugs.debian.org
Subject: Re: pbuilder: clang support
Date: Tue, 19 Feb 2013 07:10:26 +0100
Instead of hardcoding GCC version (which can vary across different
architectures), you can use something similar to the following:
GCC_VERSION=$(readlink /usr/bin/gcc | sed 's/gcc-//')



Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Fri, 22 Feb 2013 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Fri, 22 Feb 2013 00:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 700290@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 700290@bugs.debian.org
Subject: Re: pbuilder: clang support
Date: Fri, 22 Feb 2013 09:29:25 +0900
[Message part 1 (text/plain, inline)]
Hi,

> Hi,
>
>  I've made a tiny patch for clang support in pbuilder, it runs with
>  "--with-clang" option. It would make build check in clang easier,
>  and encourage maintainers to do that.
>
>  Could you check and apply it, please?

You need to update cowbuilder too.
Because cowbuilder and pbuilder share options.
I attached a tiny patch.

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6
[cowbuilder.patch (application/octet-stream, attachment)]

Bug 700290 cloned as bug 701464 Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Sat, 23 Feb 2013 13:36:06 GMT) Full text and rfc822 format available.

Added indication that bug 700290 blocks 701464 Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Sat, 23 Feb 2013 13:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Sat, 23 Feb 2013 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Sat, 23 Feb 2013 13:42:03 GMT) Full text and rfc822 format available.

Message #29 received at 700290@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 700290@bugs.debian.org
Cc: Luca Falavigna <dktrkranz@debian.org>
Subject: Re: pbuilder: clang support
Date: Sat, 23 Feb 2013 22:39:04 +0900
[Message part 1 (text/plain, inline)]
Hi,

On Tue, 19 Feb 2013 07:10:26 +0100
Luca Falavigna <dktrkranz@debian.org> wrote:
> Instead of hardcoding GCC version (which can vary across different
> architectures), you can use something similar to the following:
> GCC_VERSION=$(readlink /usr/bin/gcc | sed 's/gcc-//')

 Thanks Luca, that's really good than mine, so revised patch attached.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane
[clang_support.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Wed, 27 Feb 2013 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Wed, 27 Feb 2013 22:21:03 GMT) Full text and rfc822 format available.

Message #34 received at 700290@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Hideki Yamane <henrich@debian.or.jp>, 700290@bugs.debian.org
Subject: Re: Bug#700290: pbuilder: clang support
Date: Thu, 28 Feb 2013 07:02:54 +0900
Hi,


Thanks for the patch.

I have a question.

At Mon, 11 Feb 2013 17:01:29 +0900,
Hideki Yamane wrote:
> 
> diff -Nru pbuilder-0.213/bash_completion.d/pbuilder pbuilder-0.213+nmu1/bash_completion.d/pbuilder
> --- pbuilder-0.213/bash_completion.d/pbuilder	2012-03-25 14:53:45.000000000 +0900
> +++ pbuilder-0.213+nmu1/bash_completion.d/pbuilder	2013-02-11 14:21:58.000000000 +0900
> @@ -60,7 +60,7 @@
>                  --aptconfdir --timeout --override-config  --binary-arch \
>                  --preserve-buildplace --bindmounts --debug --twice --autocleanaptcache \
>                  --compressprog --debootstrapopts --save-after-login --save-after-exec \
> -                --debootstrap' \
> +                --debootstrap --with-clang' \
>                  -- "$cur" ) )
>              if [[ $prev = @(--aptcache|--hookdir) ]]; then
>                  # Optionally provide a directory
> diff -Nru pbuilder-0.213/debian/changelog pbuilder-0.213+nmu1/debian/changelog
> --- pbuilder-0.213/debian/changelog	2012-10-08 08:30:05.000000000 +0900
> +++ pbuilder-0.213+nmu1/debian/changelog	2013-02-11 15:01:07.000000000 +0900
> @@ -1,3 +1,13 @@
> +pbuilder (0.213+nmu1) UNRELEASED; urgency=low
> +
> +  [ Hideki Yamane ]
> +  * Non-maintainer upload.
> +  * add "--with-clang" option to build your package with clang.
> +    It would replace GCC-4.7 by default, you can specify it any version
> +    with GCC_VERSION environment variable
> +
> + -- Hideki Yamane <henrich@debian.org>  Mon, 11 Feb 2013 14:22:38 +0900
> +
>  pbuilder (0.213) unstable; urgency=low
>  
>    [ Beatrice Torracca ]
> diff -Nru pbuilder-0.213/pbuilder-buildpackage pbuilder-0.213+nmu1/pbuilder-buildpackage
> --- pbuilder-0.213/pbuilder-buildpackage	2012-03-13 17:25:15.000000000 +0900
> +++ pbuilder-0.213+nmu1/pbuilder-buildpackage	2013-02-11 15:18:41.000000000 +0900
> @@ -97,6 +97,9 @@
>  executehooks "D"
>  trap saveaptcache_umountproc_cleanbuildplace_trap exit sighup sigpipe
>  checkbuilddep "$PACKAGENAME"
> +if [ "$CLANG" = "yes" ]; then
> +    setup_clang
> +fi
>  save_aptcache
>  trap umountproc_cleanbuildplace_trap exit sighup sigpipe
>  
> diff -Nru pbuilder-0.213/pbuilder-buildpackage-funcs pbuilder-0.213+nmu1/pbuilder-buildpackage-funcs
> --- pbuilder-0.213/pbuilder-buildpackage-funcs	2012-03-31 13:51:11.000000000 +0900
> +++ pbuilder-0.213+nmu1/pbuilder-buildpackage-funcs	2013-02-11 16:44:51.000000000 +0900
> @@ -112,3 +112,22 @@
>          export CCACHE_DIR="$CCACHEDIR"
>      fi
>  }
> +

I like the way this is very compact patch, but I dislike that it
requires adding a config parameter to pbuilder (because it will need
to be propagated to cowbuilder etc.  I wonder if it could just be
implemented in a hook and configuration.

> +function setup_clang() {
> +    # set appropriate GCC version.
> +    if [ -z $GCC_VERSION ]; then
> +	    GCC_VERSION="4.7"
> +    fi
> +
> +    $CHROOTEXEC usr/bin/apt-get -y "${APTGETOPT[@]}" install clang
> +
> +    echo -e "\e[33mReplace gcc, g++ & cpp by clang\e[m"
> +    for compiler in gcc-"$GCC_VERSION" cpp-"$GCC_VERSION" g++-"$GCC_VERSION"
> +    do
> +	$CHROOTEXEC rm /usr/bin/$compiler &&
> +	$CHROOTEXEC ln -s /usr/bin/clang /usr/bin/$compiler 
> +    done
> +
> +    echo -e "\e[33mCheck if gcc, g++ & cpp are actually clang\e[m"
> +    $CHROOTEXEC usr/bin/gcc --version| grep clang > /dev/null || exit 1
> +}
> diff -Nru pbuilder-0.213/pbuilder-checkparams pbuilder-0.213+nmu1/pbuilder-checkparams
> --- pbuilder-0.213/pbuilder-checkparams	2012-03-09 07:54:41.000000000 +0900
> +++ pbuilder-0.213+nmu1/pbuilder-checkparams	2013-02-11 14:20:54.000000000 +0900
> @@ -260,6 +260,10 @@
>  	    TWICE="yes"
>  	    shift;
>  	    ;;
> +	--with-clang)
> +	    CLANG="yes"
> +	    shift;
> +	    ;;
>  	--) # end of processing for this
>  	    shift;
>  	    break;
> diff -Nru pbuilder-0.213/pbuilder-modules pbuilder-0.213+nmu1/pbuilder-modules
> --- pbuilder-0.213/pbuilder-modules	2012-03-31 13:50:46.000000000 +0900
> +++ pbuilder-0.213+nmu1/pbuilder-modules	2013-02-11 14:51:33.000000000 +0900
> @@ -79,6 +79,7 @@
>   --debootstrapopts [debootstrap options]
>   --save-after-login/--save-after-exec
>   --debootstrap [debootstrap|cdebootstrap]
> + --with-clang
>  
>  pdebuild-specific pbuilder-options:
>   --pbuilderroot [command to obtain root privilege for pbuilder] 
> diff -Nru pbuilder-0.213/pbuilder.8 pbuilder-0.213+nmu1/pbuilder.8
> --- pbuilder-0.213/pbuilder.8	2012-03-09 07:54:41.000000000 +0900
> +++ pbuilder-0.213+nmu1/pbuilder.8	2013-02-11 14:35:27.000000000 +0900
> @@ -534,6 +534,11 @@
>  properly.  The resulting packages are the ones from the second build.
>  
>  .TP
> +.BI "\-\-with\-clang"
> +Build the package with clang, instead of gcc.
> +Also you should use A10clang hook file in example.

wait, there's no A10clang hook file.


> +
> +.TP
>  .BI "\-\-preserve\-buildplace"
>  Do not clean the
>  .B "\-\-buildplace"



Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Wed, 27 Feb 2013 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Wed, 27 Feb 2013 22:27:03 GMT) Full text and rfc822 format available.

Message #39 received at 700290@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Hideki Yamane <henrich@debian.or.jp>, 700290@bugs.debian.org
Cc: Luca Falavigna <dktrkranz@debian.org>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Thu, 28 Feb 2013 07:24:47 +0900
[Message part 1 (text/plain, inline)]
I'm attaching a proposed hook script. Will this work for you?

[D30clang (text/plain, attachment)]
[Message part 3 (text/plain, inline)]
At Sat, 23 Feb 2013 22:39:04 +0900,
Hideki Yamane wrote:
> 
> diff -Nru pbuilder-0.213/bash_completion.d/pbuilder pbuilder-0.213+nmu1/bash_completion.d/pbuilder
> --- pbuilder-0.213/bash_completion.d/pbuilder	2012-03-25 14:53:45.000000000 +0900
> +++ pbuilder-0.213+nmu1/bash_completion.d/pbuilder	2013-02-11 14:21:58.000000000 +0900
> @@ -60,7 +60,7 @@
>                  --aptconfdir --timeout --override-config  --binary-arch \
>                  --preserve-buildplace --bindmounts --debug --twice --autocleanaptcache \
>                  --compressprog --debootstrapopts --save-after-login --save-after-exec \
> -                --debootstrap' \
> +                --debootstrap --with-clang' \
>                  -- "$cur" ) )
>              if [[ $prev = @(--aptcache|--hookdir) ]]; then
>                  # Optionally provide a directory
> diff -Nru pbuilder-0.213/debian/changelog pbuilder-0.213+nmu1/debian/changelog
> --- pbuilder-0.213/debian/changelog	2012-10-08 08:30:05.000000000 +0900
> +++ pbuilder-0.213+nmu1/debian/changelog	2013-02-11 15:01:07.000000000 +0900
> @@ -1,3 +1,13 @@
> +pbuilder (0.213+nmu1) UNRELEASED; urgency=low
> +
> +  [ Hideki Yamane ]
> +  * Non-maintainer upload.
> +  * add "--with-clang" option to build your package with clang.
> +    It would replace GCC by default(Thanks Luca Falavigna <dktrkranz@debian.org>),
> +    also you can specify it any version with GCC_VERSION environment variable.
> +
> + -- Hideki Yamane <henrich@debian.org>  Mon, 11 Feb 2013 14:22:38 +0900
> +
>  pbuilder (0.213) unstable; urgency=low
>  
>    [ Beatrice Torracca ]
> diff -Nru pbuilder-0.213/pbuilder-buildpackage pbuilder-0.213+nmu1/pbuilder-buildpackage
> --- pbuilder-0.213/pbuilder-buildpackage	2012-03-13 17:25:15.000000000 +0900
> +++ pbuilder-0.213+nmu1/pbuilder-buildpackage	2013-02-11 15:18:41.000000000 +0900
> @@ -97,6 +97,9 @@
>  executehooks "D"
>  trap saveaptcache_umountproc_cleanbuildplace_trap exit sighup sigpipe
>  checkbuilddep "$PACKAGENAME"
> +if [ "$CLANG" = "yes" ]; then
> +    setup_clang
> +fi
>  save_aptcache
>  trap umountproc_cleanbuildplace_trap exit sighup sigpipe
>  
> diff -Nru pbuilder-0.213/pbuilder-buildpackage-funcs pbuilder-0.213+nmu1/pbuilder-buildpackage-funcs
> --- pbuilder-0.213/pbuilder-buildpackage-funcs	2012-03-31 13:51:11.000000000 +0900
> +++ pbuilder-0.213+nmu1/pbuilder-buildpackage-funcs	2013-02-11 16:44:51.000000000 +0900
> @@ -112,3 +112,22 @@
>          export CCACHE_DIR="$CCACHEDIR"
>      fi
>  }
> +
> +function setup_clang() {
> +    # set appropriate GCC version.
> +    if [ -z $GCC_VERSION ]; then
> +	    GCC_VERSION=$(readlink /usr/bin/gcc | sed 's/^gcc\-//')
> +    fi
> +
> +    $CHROOTEXEC usr/bin/apt-get -y "${APTGETOPT[@]}" install clang
> +
> +    echo -e "\e[33mReplace gcc, g++ & cpp by clang\e[m"
> +    for compiler in gcc-"$GCC_VERSION" cpp-"$GCC_VERSION" g++-"$GCC_VERSION"
> +    do
> +	$CHROOTEXEC rm /usr/bin/$compiler &&
> +	$CHROOTEXEC ln -s /usr/bin/clang /usr/bin/$compiler 
> +    done
> +
> +    echo -e "\e[33mCheck if gcc, g++ & cpp are actually clang\e[m"
> +    $CHROOTEXEC usr/bin/gcc --version| grep clang > /dev/null || exit 1
> +}
> diff -Nru pbuilder-0.213/pbuilder-checkparams pbuilder-0.213+nmu1/pbuilder-checkparams
> --- pbuilder-0.213/pbuilder-checkparams	2012-03-09 07:54:41.000000000 +0900
> +++ pbuilder-0.213+nmu1/pbuilder-checkparams	2013-02-11 14:20:54.000000000 +0900
> @@ -260,6 +260,10 @@
>  	    TWICE="yes"
>  	    shift;
>  	    ;;
> +	--with-clang)
> +	    CLANG="yes"
> +	    shift;
> +	    ;;
>  	--) # end of processing for this
>  	    shift;
>  	    break;
> diff -Nru pbuilder-0.213/pbuilder-modules pbuilder-0.213+nmu1/pbuilder-modules
> --- pbuilder-0.213/pbuilder-modules	2012-03-31 13:50:46.000000000 +0900
> +++ pbuilder-0.213+nmu1/pbuilder-modules	2013-02-11 14:51:33.000000000 +0900
> @@ -79,6 +79,7 @@
>   --debootstrapopts [debootstrap options]
>   --save-after-login/--save-after-exec
>   --debootstrap [debootstrap|cdebootstrap]
> + --with-clang
>  
>  pdebuild-specific pbuilder-options:
>   --pbuilderroot [command to obtain root privilege for pbuilder] 
> diff -Nru pbuilder-0.213/pbuilder.8 pbuilder-0.213+nmu1/pbuilder.8
> --- pbuilder-0.213/pbuilder.8	2012-03-09 07:54:41.000000000 +0900
> +++ pbuilder-0.213+nmu1/pbuilder.8	2013-02-11 14:35:27.000000000 +0900
> @@ -534,6 +534,10 @@
>  properly.  The resulting packages are the ones from the second build.
>  
>  .TP
> +.BI "\-\-with\-clang"
> +Build the package with clang, instead of gcc.
> +
> +.TP
>  .BI "\-\-preserve\-buildplace"
>  Do not clean the
>  .B "\-\-buildplace"

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Wed, 27 Feb 2013 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Wed, 27 Feb 2013 22:39:03 GMT) Full text and rfc822 format available.

Message #44 received at 700290@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Junichi Uekawa <dancer@netfort.gr.jp>, 700290@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.or.jp>, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Wed, 27 Feb 2013 22:33:05 +0000 (UTC)
Junichi Uekawa dixit:

>to be propagated to cowbuilder etc.  I wonder if it could just be
>implemented in a hook and configuration.

This looks like simply a (one) hook can do it, yeah.

I’d suggest a D hook, so a package can still Build-Conflicts
on clang if needed.

bye,
//mirabilos
-- 
„nein: BerliOS und Sourceforge sind Plattformen für Projekte, github ist
eine Plattform für Einzelkämpfer“
	-- dieses Zitat ist ein Beweis dafür, daß auch ein blindes Huhn
	   mal ein Korn findet, bzw. – in diesem Fall – Recht haben kann



Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Thu, 28 Feb 2013 03:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Thu, 28 Feb 2013 03:09:03 GMT) Full text and rfc822 format available.

Message #49 received at 700290@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 700290@bugs.debian.org
Subject: Re: Bug#700290: pbuilder: clang support
Date: Thu, 28 Feb 2013 12:05:32 +0900
Hi,

On Thu, 28 Feb 2013 07:02:54 +0900
Junichi Uekawa <dancer@netfort.gr.jp> wrote:
> I like the way this is very compact patch, but I dislike that it
> requires adding a config parameter to pbuilder (because it will need
> to be propagated to cowbuilder etc.  I wonder if it could just be
> implemented in a hook and configuration.

 I thought it as you, but hook is not handy for check with switching 
 between gcc and clang for testing, then take the way to add parameter.


> wait, there's no A10clang hook file.

 Yes, it's wrong, so removed in the newer patch.

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Sat, 02 Mar 2013 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Sat, 02 Mar 2013 08:03:03 GMT) Full text and rfc822 format available.

Message #54 received at 700290@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: Junichi Uekawa <dancer@netfort.gr.jp>, 700290@bugs.debian.org
Subject: Re: Bug#700290: pbuilder: clang support
Date: Sat, 02 Mar 2013 16:59:35 +0900
At Thu, 28 Feb 2013 12:05:32 +0900,
Hideki Yamane wrote:
> 
> Hi,
> 
> On Thu, 28 Feb 2013 07:02:54 +0900
> Junichi Uekawa <dancer@netfort.gr.jp> wrote:
> > I like the way this is very compact patch, but I dislike that it
> > requires adding a config parameter to pbuilder (because it will need
> > to be propagated to cowbuilder etc.  I wonder if it could just be
> > implemented in a hook and configuration.
> 
>  I thought it as you, but hook is not handy for check with switching 
>  between gcc and clang for testing, then take the way to add parameter.

Sorry, no please use a hookdir, it's there to be used. I don't like to
add too many options to pbuilder.

> 
> 
> > wait, there's no A10clang hook file.
> 
>  Yes, it's wrong, so removed in the newer patch.
> 
> -- 
> Regards,
> 
>  Hideki Yamane     henrich @ debian.or.jp/org
>  http://wiki.debian.org/HidekiYamane
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Sat, 02 Mar 2013 11:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Sat, 02 Mar 2013 11:03:12 GMT) Full text and rfc822 format available.

Message #59 received at 700290@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 700290@bugs.debian.org, LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Sat, 2 Mar 2013 20:00:46 +0900
On Sat, 02 Mar 2013 16:59:35 +0900
Junichi Uekawa <dancer@netfort.gr.jp> wrote:
> Sorry, no please use a hookdir, it's there to be used. I don't like to
> add too many options to pbuilder.

 I understand you don't like too many options, but also you don't consider
 the situations for usage of my proposal, as "switching" compiler.

 Hookdir cannot satisfy its purpose - build with gcc, then check with clang,
 back to gcc, and use clang again... - if we choose using hookdir, we should
 add script to hookdir then remove it every time, it's not handy and doesn't
 encourage maintainers to check with clang.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Sun, 03 Mar 2013 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Sun, 03 Mar 2013 00:21:03 GMT) Full text and rfc822 format available.

Message #64 received at 700290@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 700290@bugs.debian.org, Luca Falavigna <dktrkranz@debian.org>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Sun, 3 Mar 2013 09:17:22 +0900
On Thu, 28 Feb 2013 07:24:47 +0900
Junichi Uekawa <dancer@netfort.gr.jp> wrote:
> I'm attaching a proposed hook script. Will this work for you?

 I missed this, now I've checked and it works.
 


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Sun, 03 Mar 2013 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Sun, 03 Mar 2013 15:51:06 GMT) Full text and rfc822 format available.

Message #69 received at 700290@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Hideki Yamane <henrich@debian.or.jp>, 700290@bugs.debian.org
Cc: Junichi Uekawa <dancer@netfort.gr.jp>, LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>, debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Sun, 3 Mar 2013 15:43:10 +0000 (UTC)
Hideki Yamane dixit:

> Hookdir cannot satisfy its purpose - build with gcc, then check with clang,
> back to gcc, and use clang again... - if we choose using hookdir, we should
> add script to hookdir then remove it every time, it's not handy and doesn't
> encourage maintainers to check with clang.

It can…

I’m thinking of something like this (untested):

(cat >hookdir/D60clang; chmod +x hookdir/D60compiler) <<'EOF'
#!/bin/sh
set +e

# check whether we are asked to change the compiler
case $PBUILDER_COMPILER in
(clang|tcc)
	replace_gcc=1
	;;
(gcc-*)
	replace_gcc=0
	;;
(*)
	exit 0
	;;
esac

apt-get -y --force-yes --purge install "$PBUILDER_COMPILER" || {
	echo >&2 "E: Installing the compiler '$PBUILDER_COMPILER' failed"
	exit 1
}
test -x /usr/bin/"$PBUILDER_COMPILER" || {
	echo >&2 "E: Package '$PBUILDER_COMPILER' does not contain compiler driver?"
	exit 1
}

newcc=/usr/bin/$PBUILDER_COMPILER
case $PBUILDER_COMPILER in
(clang)
	newcxx=/usr/bin/clang++
	;;
(tcc)
	newcxx=/bin/false
	;;
(gcc-*)
	newcxx=/usr/bin/g++${PBUILDER_COMPILER#gcc}
	;;
(*)
	# cannot happen
	exit 255
esac

if test 1 = $replace_gcc; then
	e=0
	oldcc=$(readlink /usr/bin/gcc) || e=1
	oldcxx=$(readlink /usr/bin/g++) || e=1
	case $oldcc in
	(/usr/bin/gcc-*)
		oldcc=${oldcc#/usr/bin/}
		;;
	(gcc-*)
		;;
	(*)
		e=1
		;
	esac
	case $oldcxx in
	(/usr/bin/g++-*)
		oldcxx=${oldcxx#/usr/bin/}
		;;
	(gcc-*)
		;;
	(*)
		e=1
		;
	esac
	if test 1 = $e; then
		echo >&2 "E: Old compilers ('$oldcc', '$oldcxx') do not match gcc-defaults"
		exit 1
	fi
	rm -f /usr/bin/"$oldcc" /usr/bin/"$oldcxx"
	ln -s "$newcc" /usr/bin/"$oldcc"
	ln -s "$newcxx" /usr/bin/"$oldcxx"
fi

rm -f /usr/bin/gcc /usr/bin/g++
ln -s "$newcc" /usr/bin/gcc
ln -s "$newcxx" /usr/bin/g++
rm -f /usr/bin/cc /usr/bin/++
ln -s "$newcc" /usr/bin/cc
ln -s "$newcxx" /usr/bin/c++

exit 0
EOF

This would allow switching to any gcc version, tcc and clang;
adding pcc, TenDRA and other compilers is surely possible,
and this hook script is controlled by $PBUILDER_COMPILER which
you can just export before calling pbuilder/cowbuilder.

bye,
//mirabilos
-- 
<mirabilos>    │ untested
<Natureshadow> │ tut natürlich
<Natureshadow> │ was auch sonst ...
<mirabilos>    │ fijn ☺



Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Thu, 07 Mar 2013 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Thu, 07 Mar 2013 18:27:03 GMT) Full text and rfc822 format available.

Message #74 received at 700290@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: 700290@bugs.debian.org, LVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Fri, 8 Mar 2013 03:24:49 +0900
Hi,

On Sun, 3 Mar 2013 15:43:10 +0000 (UTC)
Thorsten Glaser <tg@mirbsd.de> wrote:
> This would allow switching to any gcc version, tcc and clang;
> adding pcc, TenDRA and other compilers is surely possible,
> and this hook script is controlled by $PBUILDER_COMPILER which
> you can just export before calling pbuilder/cowbuilder.

 Sounds great and can choose more compilers are so good.
 I'm happy when I get interesting idea from smart people :)

 I've chatted with Junichi via twitter and he encouraged hook or 
 pentium-builder package approach to me, so I thought to make
 clang-builder (or something) and use it with --extrapackage option,
 but your approach is more appropriate than mine, so I'll update
 and test your script and post it to BTS later.

 Thanks!

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Thu, 07 Mar 2013 18:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Thu, 07 Mar 2013 18:30:04 GMT) Full text and rfc822 format available.

Message #79 received at 700290@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: Thorsten Glaser <tg@mirbsd.de>, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>, 700290@bugs.debian.org, LVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Thu, 07 Mar 2013 19:27:27 +0100
On 07/03/2013 19:24, Hideki Yamane wrote:
> Hi,
> 
> On Sun, 3 Mar 2013 15:43:10 +0000 (UTC)
> Thorsten Glaser <tg@mirbsd.de> wrote:
>> This would allow switching to any gcc version, tcc and clang;
>> adding pcc, TenDRA and other compilers is surely possible,
>> and this hook script is controlled by $PBUILDER_COMPILER which
>> you can just export before calling pbuilder/cowbuilder.
> 
>  Sounds great and can choose more compilers are so good.
>  I'm happy when I get interesting idea from smart people :)
> 
>  I've chatted with Junichi via twitter and he encouraged hook or 
>  pentium-builder package approach to me, so I thought to make
>  clang-builder (or something) and use it with --extrapackage option,
>  but your approach is more appropriate than mine, so I'll update
>  and test your script and post it to BTS later.
Excellent!
I am available to test anything!

Sylvestre





Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Thu, 07 Mar 2013 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Thu, 07 Mar 2013 19:57:03 GMT) Full text and rfc822 format available.

Message #84 received at 700290@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: Thorsten Glaser <tg@mirbsd.de>, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>, 700290@bugs.debian.org, LVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Fri, 8 Mar 2013 04:52:51 +0900
[Message part 1 (text/plain, inline)]
Hi,

On Thu, 07 Mar 2013 19:27:27 +0100
Sylvestre Ledru <sylvestre@debian.org> wrote:
> >  but your approach is more appropriate than mine, so I'll update
> >  and test your script and post it to BTS later.

 file attached, tested gcc-4.6 and clang works (in my environment, at least).
 tcc failed since it refused some gcc option.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane
[D65various-complier-support (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Thu, 07 Mar 2013 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Thu, 07 Mar 2013 20:21:05 GMT) Full text and rfc822 format available.

Message #89 received at 700290@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: Thorsten Glaser <tg@mirbsd.de>, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>, 700290@bugs.debian.org, LVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Fri, 8 Mar 2013 05:16:26 +0900
[Message part 1 (text/plain, inline)]
On Fri, 8 Mar 2013 04:52:51 +0900
Hideki Yamane <henrich@debian.or.jp> wrote:
>  file attached, tested gcc-4.6 and clang works (in my environment, at least).
>  tcc failed since it refused some gcc option.

 update it, please use attached one.
 Thanks.


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane
[D65various-complier-support (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Fri, 08 Mar 2013 05:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Fri, 08 Mar 2013 05:39:03 GMT) Full text and rfc822 format available.

Message #94 received at 700290@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 700290@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Fri, 8 Mar 2013 14:38:24 +0900
[Message part 1 (text/plain, inline)]
On Fri, 8 Mar 2013 05:16:26 +0900
Hideki Yamane <henrich@debian.or.jp> wrote:
>  update it, please use attached one.

 Update it again ;)

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane
[D65various-complier-support (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Sat, 09 Mar 2013 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Sat, 09 Mar 2013 12:36:03 GMT) Full text and rfc822 format available.

Message #99 received at 700290@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 700290@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Sat, 09 Mar 2013 13:33:31 +0100
On 08/03/2013 06:38, Hideki Yamane wrote:
> On Fri, 8 Mar 2013 05:16:26 +0900
> Hideki Yamane <henrich@debian.or.jp> wrote:
>>  update it, please use attached one.
> 
>  Update it again ;)
> 
Could you push it somewhere ? I would like to do some modifications on it :)

(or fork the pbuilder repository before asking for a merge)

Thanks,
Sylvestre




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Mon, 11 Mar 2013 04:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Mon, 11 Mar 2013 04:51:06 GMT) Full text and rfc822 format available.

Message #104 received at 700290@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: 700290@bugs.debian.org
Subject: Re: Bug#700290: pbuilder: clang support
Date: Mon, 11 Mar 2013 13:42:07 +0900
Hi,

On Sat, 09 Mar 2013 13:33:31 +0100
Sylvestre Ledru <sylvestre@debian.org> wrote:
> Could you push it somewhere ? I would like to do some modifications on it :)
> 
> (or fork the pbuilder repository before asking for a merge)

 prepare temporary repo: git@github.com:henrich/pbuilder.git


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Reply sent to Junichi Uekawa <dancer@debian.org>:
You have taken responsibility. (Sat, 30 Mar 2013 03:00:14 GMT) Full text and rfc822 format available.

Notification sent to Hideki Yamane <henrich@debian.or.jp>:
Bug acknowledged by developer. (Sat, 30 Mar 2013 03:00:14 GMT) Full text and rfc822 format available.

Message #109 received at 700290-close@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@debian.org>
To: 700290-close@bugs.debian.org
Subject: Bug#700290: fixed in pbuilder 0.215
Date: Sat, 30 Mar 2013 02:47:50 +0000
Source: pbuilder
Source-Version: 0.215

We believe that the bug you reported is fixed in the latest version of
pbuilder, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700290@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Junichi Uekawa <dancer@debian.org> (supplier of updated pbuilder package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Mar 2013 11:06:05 +0900
Source: pbuilder
Binary: pbuilder pbuilder-uml
Architecture: source amd64 all
Version: 0.215
Distribution: unstable
Urgency: low
Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Changed-By: Junichi Uekawa <dancer@debian.org>
Description: 
 pbuilder   - personal package builder for Debian packages
 pbuilder-uml - user-mode-linux version of pbuilder
Closes: 700290 702102 702811
Changes: 
 pbuilder (0.215) unstable; urgency=low
 .
   * Do not try to use /dev/shm if /run/shm is not present. (closes: #702811, #702102)
   * Add clang support hook script from Hideki Yamane. (closes: #700290)
Checksums-Sha1: 
 2157cb989a086846a968feac298803bb29b000b3 1187 pbuilder_0.215.dsc
 8fa888a05d88bdfe655c2a87d054083ae3691c27 940580 pbuilder_0.215.tar.gz
 1ab9b6b73ff063e5722e11b68d7adf70cf3ca4de 44096 pbuilder-uml_0.215_amd64.deb
 ba3189509fe0f63a77c94d267de8815062cdee17 391692 pbuilder_0.215_all.deb
Checksums-Sha256: 
 48e2985fb34c9fb5a5cf418c5c48846a6fdfc8ea84a5dedc16c39ab9bf0a6e99 1187 pbuilder_0.215.dsc
 8a090dd3ad58e6e1ee0a30200ebdebd3334d12da51cc8922403060128e39272f 940580 pbuilder_0.215.tar.gz
 013e56432c969ab8a63f903f077a29532c7b675d783a25897508b0d4903edc73 44096 pbuilder-uml_0.215_amd64.deb
 efc342efe0dd3104706b14b2933637bb70334e0629e2326eea94af1fcdbdb833 391692 pbuilder_0.215_all.deb
Files: 
 119216a53d7fc139426329455361b087 1187 devel extra pbuilder_0.215.dsc
 6dbfa4780141acc91b0b69ec2caed92f 940580 devel extra pbuilder_0.215.tar.gz
 aaff8478078d1dae68c763b48b76aa86 44096 devel extra pbuilder-uml_0.215_amd64.deb
 7c79b0937860ea9219fac7e86a13e76f 391692 devel extra pbuilder_0.215_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFRVk/E2Dd9TugeVcERAlYbAJ4nRJREO2vhwJXhrmQK1rk6Krz3LgCfdwJd
C1pZ/aV0QyXX8FpfGszuhFY=
=cTzE
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Thu, 04 Apr 2013 22:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Thu, 04 Apr 2013 22:33:04 GMT) Full text and rfc822 format available.

Message #114 received at 700290@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Hideki Yamane <henrich@debian.or.jp>, 700290@bugs.debian.org
Cc: Sylvestre Ledru <sylvestre@debian.org>, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Fri, 05 Apr 2013 07:23:58 +0900

At Fri, 8 Mar 2013 14:38:24 +0900,
Hideki Yamane wrote:
> 
> 

by the way, 

	asn1c)

asn1c is a compiler for ASN.1 which probably won't compile any C program, is that a joke or did you actually find a use for it?

-- 
dancer@{netfort.gr.jp,debian.org}



Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#700290; Package pbuilder. (Thu, 04 Apr 2013 22:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Thu, 04 Apr 2013 22:42:04 GMT) Full text and rfc822 format available.

Message #119 received at 700290@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 700290@bugs.debian.org, Sylvestre Ledru <sylvestre@debian.org>, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: Bug#700290: pbuilder: clang support
Date: Fri, 5 Apr 2013 07:39:07 +0900
On Fri, 05 Apr 2013 07:23:58 +0900
Junichi Uekawa <dancer@netfort.gr.jp> wrote:
> by the way, 
> 
> 	asn1c)
> 
> asn1c is a compiler for ASN.1 which probably won't compile any C program, is that a joke or did you actually find a use for it?

 Just a sample to add it, probably no one use it as you say...

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 09:22:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 03:03:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.